Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000379Core InformExtensionspublic2010-11-01 17:372014-05-07 07:35
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000379: Code after the ``ends here'' line is accepted
DescriptionThe first attached extension is accepted and does in fact say ``Play begins.''

The second version leads to

- - - -
An internal error has occurred: loose COMMAND node outside of rule definition. The current sentence is 'scene understood is a scene which varies' ; the error was detected at line 85 of "Chapter 6/Rule Subtrees.w". This should never happen, and I am now halting in abject failure.
- - - -
Minimal Source Text To Reproduce
- - - -
Extension with Epilogue by John Doe begins here.

Extension with Epilogue ends here.

When play begins:
	say "Play begins."
- - - -

- - - -
Extension with Epilogue by John Doe begins here.

Extension with Epilogue ends here.

To foo: foo;

---- DOCUMENTATION ----

- - - -
Additional Information(The test case for the internal error is from http://www.intfiction.org/forum/viewtopic.php?f=7&t=4304#p31153. [^])
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0002242)
graham (administrator)
2014-01-04 09:04

Fixed.

- Issue History
Date Modified Username Field Change
2010-11-01 17:37 EmacsUser New Issue
2010-11-01 22:24 jmcgrew Status new => acknowledged
2010-11-06 17:23 jmcgrew Status acknowledged => confirmed
2012-02-06 15:36 EmacsUser Effect (mild) Compiler accepts invalid code => (critical) Compiler reports internal error
2012-02-06 15:36 EmacsUser Severity mild => critical
2012-02-06 15:36 EmacsUser Description Updated View Revisions
2012-02-06 15:36 EmacsUser Steps to Reproduce Updated View Revisions
2012-02-06 15:36 EmacsUser Additional Information Updated View Revisions
2014-01-04 09:04 graham Note Added: 0002242
2014-01-04 09:04 graham Status confirmed => resolved
2014-01-04 09:04 graham Resolution open => fixed
2014-01-04 09:04 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:35 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker